package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 处方物流表实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "wlyy_prescription_expressage")
public class WlyyPrescriptionExpressageDO extends UuidIdentityEntity {


    /**
	 * 门诊记录ID
	 * 关联wlyy_outpatient id
	 */
	private String outpatientId;

    /**
	 * 快递单号
	 */
	private String mailno;

    /**
	 * 收货人名称
	 */
	private String name;

    /**
	 * 收货人手机号码 13606078123
	 */
	private String mobile;

    /**
     * 顺丰业务号
     */
	private String bspOrderNo;

    /**
	 * 收货人座机号 0592-1111111
	 */
	private String phone;

    /**
	 * 收货人详细地址
	 */
	private String address;

    /**
	 * 省代码
	 */
	private String provinceCode;

    /**
	 * 省名称
	 */
	private String provinceName;

    /**
	 * 市代码
	 */
	private String cityCode;

    /**
	 * 市名称
	 */
	private String cityName;

    /**
	 * 
	 */
	private String townCode;

    /**
	 * 区名称
	 */
	private String townName;

    /**
	 * 街道code
	 */
	private String streetCode;

    /**
	 * 街道名称
	 */
	private String streetName;

    /**
	 * 配药机构code
	 */
	private String hospitalCode;

    /**
	 * 配药机构名称
	 */
	private String hospitalName;

    /**
	 * 配药机构地址
	 */
	private String hospitalAddress;

    /**
	 * 重量   单位是克
	 */
	private Integer weight;

    /**
	 * 快递的配送费用
	 */
	private Integer price;

    /**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date createTime;

    /**
	 * 是否自取 1是 0否
	 */
	private Integer oneselfPickupFlg;

    /**
	 * 备注
	 */
	private String remark;


    /**
	 * 1可用 0删除
	 */
	private Integer del;


    @Column(name = "outpatient_id")
    public String getOutpatientId() {
        return outpatientId;
    }

    public void setOutpatientId(String outpatientId) {
        this.outpatientId = outpatientId;
    }

    @Column(name = "mailno")
    public String getMailno() {
        return mailno;
    }
    public void setMailno(String mailno) {
        this.mailno = mailno;
    }

	@Column(name = "name")
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

	@Column(name = "mobile")
    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

	@Column(name = "phone")
    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }

	@Column(name = "address")
    public String getAddress() {
        return address;
    }
    public void setAddress(String address) {
        this.address = address;
    }

	@Column(name = "province_code")
    public String getProvinceCode() {
        return provinceCode;
    }
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

	@Column(name = "province_name")
    public String getProvinceName() {
        return provinceName;
    }
    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

	@Column(name = "city_code")
    public String getCityCode() {
        return cityCode;
    }
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

	@Column(name = "city_name")
    public String getCityName() {
        return cityName;
    }
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

	@Column(name = "town_code")
    public String getTownCode() {
        return townCode;
    }
    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

	@Column(name = "town_name")
    public String getTownName() {
        return townName;
    }
    public void setTownName(String townName) {
        this.townName = townName;
    }

	@Column(name = "street_code")
    public String getStreetCode() {
        return streetCode;
    }
    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

	@Column(name = "street_name")
    public String getStreetName() {
        return streetName;
    }
    public void setStreetName(String streetName) {
        this.streetName = streetName;
    }

	@Column(name = "hospital_code")
    public String getHospitalCode() {
        return hospitalCode;
    }
    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }

	@Column(name = "hospital_name")
    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

	@Column(name = "hospital_address")
    public String getHospitalAddress() {
        return hospitalAddress;
    }
    public void setHospitalAddress(String hospitalAddress) {
        this.hospitalAddress = hospitalAddress;
    }

	@Column(name = "weight")
    public Integer getWeight() {
        return weight;
    }
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

	@Column(name = "price")
    public Integer getPrice() {
        return price;
    }
    public void setPrice(Integer price) {
        this.price = price;
    }

	@Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

	@Column(name = "oneself_pickup_flg")
    public Integer getOneselfPickupFlg() {
        return oneselfPickupFlg;
    }
    public void setOneselfPickupFlg(Integer oneselfPickupFlg) {
        this.oneselfPickupFlg = oneselfPickupFlg;
    }

	@Column(name = "remark")
    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "bsp_order_no")
    public String getBspOrderNo() {
        return bspOrderNo;
    }

    public void setBspOrderNo(String bspOrderNo) {
        this.bspOrderNo = bspOrderNo;
    }
}